		<div class="content-wrapper">
			<section class="content-header">
				<h1>
					Pengguna
					<small>Edit Pengguna</small>
				</h1>
			</section>

			<section class="content">
				<div class="row">
					<div class="col-lg-6">
						<a href="<?php echo base_url().'dashboard/pengguna'; ?>" class="btn btn-sm btn-primary">Kembali</a>
						
						<br/><br/>

						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title">Edit Pengguna</h3>
							</div>
							<div class="box-body">
								
								<?php foreach($pengguna as $p): ?>
									<form method="post" action="<?php echo base_url('dashboard/pengguna_update'); ?>">
										<!-- CSRF Protection -->
										<input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />
										<input type="hidden" name="id" value="<?php echo $p->pengguna_id; ?>">

										<div class="box-body">
											<div class="form-group">
												<label>Nama</label>
												<input type="text" name="nama" class="form-control" placeholder="Masukkan nama pengguna .." value="<?php echo set_value('nama', $p->pengguna_nama); ?>" required>
												<?php echo form_error('nama', '<div class="text-danger">', '</div>'); ?>
											</div>
											<div class="form-group">
												<label>Email</label>
												<input type="email" name="email" class="form-control" placeholder="Masukkan email pengguna .." value="<?php echo set_value('email', $p->pengguna_email); ?>" required>
												<?php echo form_error('email', '<div class="text-danger">', '</div>'); ?>
											</div>
											<div class="form-group">
												<label>Username</label>
												<input type="text" name="username" class="form-control" placeholder="Masukkan username pengguna.." value="<?php echo set_value('username', $p->pengguna_username); ?>" required>
												<?php echo form_error('username', '<div class="text-danger">', '</div>'); ?>
											</div>
											<div class="form-group">
												<label>Password</label>
												<input type="password" name="password" class="form-control" placeholder="Masukkan password pengguna..">
												<small>Kosongkan jika tidak ingin mengubah password</small>
												<?php echo form_error('password', '<div class="text-danger">', '</div>'); ?>
											</div>
											<div class="form-group">
												<label>Level</label>
												<select class="form-control" name="level" required>
													<option value="">- Pilih Level -</option>
													<option value="admin" <?php echo set_select('level', 'admin', ($p->pengguna_level == 'admin')); ?>>Admin</option>
													<option value="satker" <?php echo set_select('level', 'satker', ($p->pengguna_level == 'satker')); ?>>SATKER</option>
												</select>
												<?php echo form_error('level', '<div class="text-danger">', '</div>'); ?>
											</div>
											<div class="form-group">
												<label>Status</label>
												<select class="form-control" name="status" required>
													<option value="">- Pilih Status -</option>
													<option value="1" <?php echo set_select('status', '1', ($p->pengguna_status == '1')); ?>>Aktif</option>
													<option value="0" <?php echo set_select('status', '0', ($p->pengguna_status == '0')); ?>>Non-Aktif</option>
												</select>
												<?php echo form_error('status', '<div class="text-danger">', '</div>'); ?>
											</div>
										</div>

										<div class="box-footer">
											<input type="submit" class="btn btn-success" value="Simpan">
										</div>
									</form>
								<?php endforeach; ?>

							</div>
						</div>

					</div>
				</div>

			</section>
		</div>