		<div class="content-wrapper">
			<section class="content-header">
				<h1>
					Pengguna
					<small>Pengguna Website</small>
				</h1>
			</section>

			<section class="content">
				<div class="row">
					<div class="col-lg-12">
						<a href="<?php echo site_url('dashboard/pengguna_tambah'); ?>" class="btn btn-sm btn-primary">
							<i class="fa fa-plus"></i> Buat pengguna baru
						</a>
						
						<br/><br/>

						<!-- Menampilkan pesan flashdata -->
						<?php if ($this->session->flashdata('success')): ?>
							<div class="alert alert-success">
								<?php echo $this->session->flashdata('success'); ?>
							</div>
						<?php endif; ?>

						<?php if ($this->session->flashdata('error')): ?>
							<div class="alert alert-danger">
								<?php echo $this->session->flashdata('error'); ?>
							</div>
						<?php endif; ?>

						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title">Pengguna</h3>
							</div>
							<div class="box-body">
								<table id="table45" class="table table-striped table-bordered nowrap" style="width:100%">
									<thead>
										<tr>
											<th width="1%">NO</th>
											<th>Nama</th>
											<th>Foto Pengguna</th>
											<th>Email</th>
											<th>Nama Satker</th>
											<th>Level</th>
											<th>Status</th>
											<th width="10%">OPSI</th>
										</tr>
									</thead>
									<tbody>
										<?php 
										$no = 1;
										foreach($pengguna as $p): 
										?>
											<tr>
												<td><?php echo $no++; ?></td>
												<td><?php echo htmlspecialchars($p->pengguna_nama); ?></td>
												<td style="text-align: center;">
													<img width="25%" class="img-responsive img-thumbnail" alt="Pengguna" src="<?php echo base_url().'/gambar/pengguna/'.$p->pengguna_sampul; ?>">
												</td>
												<td><?php echo htmlspecialchars($p->pengguna_email); ?></td>
												<td><?php echo htmlspecialchars($p->nama_satker); ?></td>
												<td><?php echo htmlspecialchars($p->pengguna_level); ?></td>
												<td>
													<?php 
													echo $p->pengguna_status == 1 ? 
														"<span class='label label-success'>Aktif</span>" : 
														"<span class='label label-danger'>Non Aktif</span>";
													?>
												</td>
												<td>
													<a href="<?php echo site_url('dashboard/pengguna_edit/'.$p->pengguna_id); ?>" class="btn btn-warning btn-sm"> <i class="fa fa-pencil"></i> </a> &nbsp;
													<a href="<?php echo site_url('dashboard/pengguna_hapus/'.$p->pengguna_id); ?>" class="btn btn-danger btn-sm" onclick="return confirm('Apakah Anda yakin ingin menghapus pengguna ini?');"> <i class="fa fa-trash"></i> </a>
												</td>
											</tr>
										<?php endforeach; ?>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</section>
		</div>